Ubuntu

USB Headset has "Speaker" volume control

Reported by David Henningsson on 2012-11-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
David Henningsson

Bug Description

This means that PulseAudio somewhat thinks it's a speaker on the headset instead of the headphones.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: alsa-base 1.0.25+dfsg-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-33.52-generic 3.2.31
Uname: Linux 3.2.0-33-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu15
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC3: david 3035 F.... pulseaudio
 /dev/snd/controlC2: david 3035 F.... pulseaudio
 /dev/snd/controlC1: david 3035 F.... pulseaudio
 /dev/snd/controlC0: david 3035 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xfe024000 irq 16'
   Mixer name : 'Realtek ALC888'
   Components : 'HDA:10ec0888,1458e601,00100001'
   Controls : 53
   Simple ctrls : 23
Card1.Amixer.info:
 Card hw:1 'Juli'/'ESI Juli@ at 0xcf00, irq 21'
   Mixer name : 'ICE1724 - multitrack'
   Components : ''
   Controls : 36
   Simple ctrls : 14
Card2.Amixer.info:
 Card hw:2 'HDMI'/'HDA ATI HDMI at 0xfdffc000 irq 44'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100100'
   Controls : 6
   Simple ctrls : 1
Card2.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Card3.Amixer.info:
 Card hw:3 'Headset'/'Logitech Logitech USB Headset at usb-0000:00:13.2-5.2, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:0a0c'
   Controls : 6
   Simple ctrls : 2
Date: Fri Nov 23 13:42:41 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120421)
MarkForUpload: True
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: alsa-driver
UpgradeStatus: No upgrade log present (probably fresh install)
UserAsoundrc:
 pcm.pulse_no_underrun {
   type pulse
   handle_underrun 0
 }
dmi.bios.date: 06/24/2009
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F2
dmi.board.name: GA-MA770T-UD3P
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF2:bd06/24/2009:svnGigabyteTechnologyCo.,Ltd.:pnGA-MA770T-UD3P:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-MA770T-UD3P:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: GA-MA770T-UD3P
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

David Henningsson (diwic) wrote :
Changed in alsa-driver (Ubuntu):
assignee: nobody → David Henningsson (diwic)
status: New → In Progress
affects: alsa-driver (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
David Henningsson (diwic) wrote :

merged upstream for 3.8.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-0.2

---------------
linux (3.8.0-0.2) raring; urgency=low

  [ Tim Gardner ]

  * [packaging] Add macro to selectively disable building perf
  * [packaging] Cannot depend on universe package libaudit-dev
 -- Tim Gardner <email address hidden> Thu, 10 Jan 2013 12:43:24 -0700

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers